WordPress.org

Forums

Transposh WordPress Translation
[resolved] Jquery UI conflict (12 posts)

  1. Andrew
    Member
    Posted 2 years ago #

    Hi Ofer,
    I have just upgraded WordPress and Transposh and I'm having a conflict between my themes Jquery UI and the jQuery UI loaded by transposh. When clicking the yellow squares to edit the translations I see and javascript error logged in the console and nothing pops up to edit the translation. Also You can see a bit of WordPress itself is breaking (the admin bar up top) once you 'enable translation'.

    I've sent you an admin account login to your email. Thank you very much Ofer for your help!

    http://wordpress.org/extend/plugins/transposh-translation-filter-for-wordpress/

  2. Andrew
    Member
    Posted 2 years ago #

    Hi Ofer,
    I've made a few more attempts to sort this out. But I'm without success. My theme needs jQuery UI all the time for it's functions and it rightly so, Transposh's Jquery UI is only loaded when it's in 'Translation Mode'. But that's when the conflict arises. I tried changing the theme based jQuery UI to the exact same library transposh uses, but the conflict still occurred. (I saw this post.. )

    If there's any help you can point me too that would be great... Can I somehow disable the lazy loader from loading Transposh's jquery? I look at that code, but it was all JS based and I was a bit uncertain as to what I could safely remove..

  3. Ofer Wald
    Member
    Plugin Author

    Posted 2 years ago #

    Hi,

    This was actually not a jQueryUI conflict, rather a jQueryUI/jQuery mismatch, since your theme was loading the current version on jQuery (1.8) and jQueryUI 1.8.5. Both of which are not compatible...

    Fixed this for you,

    Good luck in the future

  4. Andrew
    Member
    Posted 2 years ago #

    Hi Ofer, Wow that came out of left field for me. I've never had jQuery conflict with jQueryUI before. A HUGE Thank you for your help!

  5. jbd7
    Member
    Posted 2 years ago #

    Hi Ofer,

    I have something that could be similar, it's happening since today. I recently changed the lightbox plugin from jQuery Colorbox to Lightview. Now, when editing translations, the Transposh popup does not appear anymore, but non-functional edit fields appear at the bottom of the page. (as in http://postimage.org/image/71fxhl1ct/).

    I deactivated the recently upgraded plugins but can't get Transposh to work again and display the edit window. Do you have an idea of the problem?

    Thanks,

    jb

  6. Ofer Wald
    Member
    Plugin Author

    Posted 2 years ago #

    Hi,

    Would really appreciate two things,
    1. open this question on its own thread
    2. a link to your site, where I'll be able to see the site

    might be a css conflict in your case with the dialog, don't know yet

    Good luck

  7. jbd7
    Member
    Posted 2 years ago #

    Hi Ofer,

    Thanks for your reply. No need anymore for a new thread as just yesterday, after many unsuccessful trials on possible conflicting plugins, Transposh finally came back to life after uninstalling it and reinstalling it (same version, 0.85). If it'd help to to see where the screenshot above appeared, it's at freewheely.com.

    And just to mention it, even before 1.0 this is such a great plugin bringing quickly high added value to a site, thank you.

    jb

  8. Ofer Wald
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks for updating, glad to hear things are working out :)

  9. help1
    Member
    Posted 2 years ago #

    Hello,

    I have the same problem, i updated just the new wordpress and also the new transposh.

    what happens now is that i can not edit the languages.

    The pop up for edeting that usually pops up is not working and it occurs below my website.

    I am using the theme of classipress.

    Ps

    This is my first question here and i dont know how to make sure that i get the attention of the author.

    If anyone could help me please?

  10. Ofer Wald
    Member
    Plugin Author

    Posted 2 years ago #

    Hi,

    Next time, new topic please :)

    Anyhow, please post your site url,

    you can always revert to the previous jQueryUI by changing the constants.php file (not that this is the best solution, but it will work)

    Good luck.

  11. LindaAmsterdam
    Member
    Posted 2 years ago #

    Hello,

    Sorry, I have the same problem and would like to know how I need to change the constants.php file. Do you have a script?

    Many thanks!

  12. Ofer Wald
    Member
    Plugin Author

    Posted 2 years ago #

    Dear @LindaAmsterdam,

    next time, new topic please.

    However, in recent Transposh there's a jQueryUI override option in the advanced settings tab, set it to 1.8.24

    Good luck!

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Transposh WordPress Translation
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic